/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/foundation/module.hpp>

#include "typeconv.hpp"

#include "module.hpp"

namespace nostalgia::core {

ox::Vector<foundation::BaseConverter*> CoreModule::converters() const noexcept {
	return {
		&nostalgiaPaletteToPaletteConverter,
		&nostalgiaGraphicToTileSheetConverter,
		&tileSheetToCompactTileSheetConverter,
	};
}

CoreModule CoreModule::mod;

}
